Bug 1562073 - rpmdeplint failed with ppc64 and ppc64le
Summary: rpmdeplint failed with ppc64 and ppc64le
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: rpmdeplint
Version: 28
Hardware: ppc64le
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Callaghan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PPCTracker
TreeView+ depends on / blocked
 
Reported: 2018-03-29 13:17 UTC by Menanteau Guy
Modified: 2019-05-28 23:15 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-05-28 23:15:57 UTC


Attachments (Terms of Use)

Description Menanteau Guy 2018-03-29 13:17:45 UTC
I tried to use rpmdeplint to run test https://fedoraproject.org/wiki/QA:Testcase_Mediakit_Repoclosure
on Fedora-Server-dvd-ppc64le-28_Beta-1.3.iso
but it fails with the following:

rpmdeplint check-repoclosure --repo testdeps,/media /media/Packages/s/systemd* 
Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/rpmdeplint/__init__.py", line 42, in get_hawkey_package_arch
    return arch_map[pkg_arch]
KeyError: 'ppc64le'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/rpmdeplint", line 11, in <module>
    load_entry_point('rpmdeplint==1.4', 'console_scripts', 'rpmdeplint')()
  File "/usr/lib/python3.6/site-packages/rpmdeplint/cli.py", line 232, in main
    return args.func(args)
  File "/usr/lib/python3.6/site-packages/rpmdeplint/cli.py", line 73, in cmd_check_repoclosure
    with dependency_analyzer_from_args(args) as analyzer:
  File "/usr/lib/python3.6/site-packages/rpmdeplint/cli.py", line 145, in dependency_analyzer_from_args
    sack_arches = {get_hawkey_package_arch(rpm) for rpm in rpms} - {'noarch'}
  File "/usr/lib/python3.6/site-packages/rpmdeplint/cli.py", line 145, in <setcomp>
    sack_arches = {get_hawkey_package_arch(rpm) for rpm in rpms} - {'noarch'}
  File "/usr/lib/python3.6/site-packages/rpmdeplint/__init__.py", line 46, in get_hawkey_package_arch
    package_name, pkg_arch))
AttributeError: Architecture was not correctly determined for /media/Packages/s/systemd-238-7.fc28.ppc64le.rpm arch was ppc64le

This is failing on ppc64 also

Comment 1 Dan Callaghan 2018-04-03 02:23:24 UTC
Hmm yes, it seems in rpmdeplint 1.x we have a rather incomplete arch list.

It is supposed to be derived from the libsolv archpolicies but it might have been written with a misunderstanding of how the mappings in libsolv work, specifically the "dummy" policies:

https://github.com/openSUSE/libsolv/commit/aea953a42d99399938eb6c98a220310aa438c376

I can fix this in rpmdeplint 1.x by expanding it to the full list of known arches.

The good news is, in rpmdeplint 2.0 this all goes away and we just let libsolv deal with it instead.

Comment 2 Dan Callaghan 2018-04-03 02:38:44 UTC
Better yet, if we have no mapping for the arch we should use it as is with no re-mapping. That is what libsolv is doing too.

https://gerrit.beaker-project.org/6053

Comment 4 Ben Cotton 2019-05-02 20:20:23 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2019-05-28 23:15:57 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.